#ifndef _D3D_CAMERA_H
#define _D3D_CAMERA_H

#include		<windows.h>
#include		<d3dx9.h>

class Camera
{
	private: 

		D3DXMATRIX			View; // The camera view matrix.
		D3DXMATRIX			Projection; // The camera projection matrix.

		VOID				SetViewMatrix(); // Set the camera view matrix.
		VOID				SetProjectionMatrix(); // Set the camera projection matrix.

	public: 

		Camera();
		~Camera();

		VOID				SetMatrices(); // Set the camera matrices.
		D3DXMATRIX			GetViewMatrix(); // Return the camera view matrix.
		D3DXMATRIX			GetProjectionMatrix(); // Return the camera projection matrix.

		D3DXVECTOR3			Position; // The camera position.
		D3DXVECTOR3			LookAt; // The look-at target.

		float				Rotation; // The camera rotation.
};

#endif




